Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.ws.rs.core
Enum Response.Status.Family

    java.lang.Object
      java.lang.Enum<Response.Status.Family>
          javax.ws.rs.core.Response.Status.Family

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Response.Status.Family>

Enclosing class:
  Response.Status

    public static enum Response.Status.Family

extends java.lang.Enum<Response.Status.Family>

An enumeration representing the class of status code. Family is used here since class is overloaded in Java.

Enum Constant Summary
`CLIENT_ERROR`
`INFORMATIONAL`
`OTHER`
`REDIRECTION`
`SERVER_ERROR`
`SUCCESSFUL`

Method Summary
`static Response.Status.Family` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Response.Status.Family[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFORMATIONAL

    public static final Response.Status.Family INFORMATIONAL

### SUCCESSFUL

    public static final Response.Status.Family SUCCESSFUL

### REDIRECTION

    public static final Response.Status.Family REDIRECTION

### CLIENT_ERROR

    public static final Response.Status.Family CLIENT_ERROR

### SERVER_ERROR

    public static final Response.Status.Family SERVER_ERROR

### OTHER

    public static final Response.Status.Family OTHER

Method Detail

### values

    public static final Response.Status.Family[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Response.Status.Family c : Response.Status.Family.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Response.Status.Family valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.